import { jsx } from "react/jsx-runtime";
import { NumberSeven as NumberSeven$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const NumberSeven = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "NumberSeven", ...props, children: /* @__PURE__ */ jsx(NumberSeven$1, { weight: variant }) });
  }
);
NumberSeven.displayName = "NumberSeven";
Object.assign(NumberSeven, { isGdsIcon: true });
export {
  NumberSeven
};
